View Issue Details

IDProjectCategoryView StatusLast Update
0017107LazarusIDEpublic2010-11-17 21:29
ReporterTomasz Wieckowski Assigned ToPaul Ishenin  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformwin32OSWindows 
Product Version0.9.29 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0017107: Division by Zero when closing Lazarus
DescriptionI got "Division by zero" exception when I'm closing IDE
Steps To ReproduceTested on Windows XP
1. switch to windows xp classic theme
2. start lazarus with default empty project
3. put on form Timage and load some picture
4. minimize lazarus
5. switch to Windows XP default theme
6. close lazarus without saving project
---ExceptionOccurred
Additional InformationStack trace is attached
TagsNo tags attached.
Fixed in Revision28271
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0017647 closedPaul Ishenin Division on zero if change from Classic Theme to Theme "Windows XP" in Windows XP 

Activities

2010-08-04 11:40

 

dbz_st.log (7,136 bytes)   
ERROR in LCL: TResourceCacheItem.DecreaseRefCount=0 TResourceCacheItem
Creating gdb catchable error:
  $00428098  RAISEGDBEXCEPTION,  line 1515 of lclproc.pas
  $004FAA3B  RAISEREFCOUNTZERO,  line 206 of lclrescache.pas
  $004FA97F  TRESOURCECACHEITEM__DECREASEREFCOUNT,  line 212 of lclrescache.pas
  $004B2CE2  TBRUSH__FREEREFERENCE,  line 181 of ./include/brush.inc
  $004B2B79  TBRUSH__DESTROY,  line 108 of ./include/brush.inc
  $0040BDC2
  $00532FFA  TWINCONTROL__DESTROY,  line 6321 of ./include/wincontrol.inc
  $005870BC  TCUSTOMBITBTN__DESTROY,  line 43 of ./include/bitbtn.inc
  $0047B83F
  $0053FC10  TCONTROL__DESTROY,  line 4213 of ./include/control.inc
  $00533078  TWINCONTROL__DESTROY,  line 6331 of ./include/wincontrol.inc
  $0054160E  TCUSTOMCONTROL__DESTROY,  line 61 of ./include/customcontrol.inc
  $0041711A  TSCROLLINGWINCONTROL__DESTROY,  line 260 of ./include/scrollingwincontrol.inc
  $00417C54  TCUSTOMFORM__DESTROY,  line 128 of ./include/customform.inc
  $0040BDC2
  $007F866F  TJITCOMPONENTLIST__DESTROYJITCOMPONENT,  line 733 of C:/lazarus/designer/jitforms.pp
  $0080E593  TCUSTOMFORMEDITOR__DELETECOMPONENT,  line 473 of customformeditor.pp
  $008044C7  TDESIGNER__FREEDESIGNER,  line 648 of C:/lazarus/designer/designer.pp
  $00442DD9  TMAINIDE__CLOSEUNITCOMPONENT,  line 6988 of main.pp
  $00446FEE  TMAINIDE__DOCLOSEEDITORFILE,  line 8322 of main.pp
  $0044B76A  TMAINIDE__DOCLOSEPROJECT,  line 9781 of main.pp
  $0042FFF1  TMAINIDE__MAINIDEFORMCLOSEQUERY,  line 1720 of main.pp
  $0041C0DA  TCUSTOMFORM__CLOSEQUERY,  line 2099 of ./include/customform.inc
  $0041BF0A  TCUSTOMFORM__CLOSE,  line 2009 of ./include/customform.inc
  $0041C1B4  TCUSTOMFORM__WMCLOSEQUERY,  line 2107 of ./include/customform.inc
  $0040C20A
  $00531120  TWINCONTROL__WNDPROC,  line 5196 of ./include/wincontrol.inc
  $0041A580  TCUSTOMFORM__WNDPROC,  line 1388 of ./include/customform.inc
  $005BC0D7  DELIVERMESSAGE,  line 110 of lclmessageglue.pas
  $00559551  WINDOWPROC,  line 2406 of win32callback.inc
  $0060340F  CUSTOMFORMWNDPROC,  line 354 of win32wsforms.pp
  $7E368734
  $7E368816
  $7E37927B
  $7E37F40B
  $0055763D
  $7E368734
  $7E368816
  $7E378EA0
  $7E378EEC
  $7C90E453
  $7E378DD9
  $5B1D1AF6
  $5B1D1B3D
  $7E3794ED
  $00556D5E
  $0055971B
  $7E368734
  $7E37BDF1
  $7E3689CD
  $7E368A10
  $0055C225
  $004226C9
  $00422B0F
  $0046B9F3
  $00422ACA
  $00403102
  $004126C1
[TJITComponentList.DestroyJITComponent] ERROR destroying component Error: Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $005870BC
  $0047B83F
  $0053FC10
  $00533078
  $0054160E
  $0041711A
  $00417C54
  $0040BDC2
  $007F866F
  $0080E593
TCustomFormEditor.JITListException List.CurReadStreamClass=nil nil
LAZARUS END - cleaning up ...
ERROR in LCL: TResourceCacheItem.DecreaseRefCount=0 TResourceCacheItem
Creating gdb catchable error:
  $00428098
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $008EEDAE
  $0040BDC2
  $0042F10D
  $0040BDC2
  $004126C1
[FORMS.PP] ExceptionOccurred 
  Sender=EDivByZero
  Exception=Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $008EEDAE
  $0040BDC2
  $0042F10D
  $0040BDC2
TApplication.HandleException Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $008EEDAE
  $0040BDC2
  $0042F10D
  $0040BDC2
ERROR in LCL: TResourceCacheItem.DecreaseRefCount=0 TResourceCacheItem
Creating gdb catchable error:
  $00428098
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $0040BDC2
  $0041508D
  $0040E1F9
  $0040CCB9
  $0040BDC2
  $004126C1
[FORMS.PP] ExceptionOccurred 
  Sender=EDivByZero
  Exception=Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $0040BDC2
  $0041508D
  $0040E1F9
  $0040CCB9
  $0040BDC2
TApplication.HandleException Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $0040BDC2
  $0041508D
  $0040E1F9
  $0040CCB9
  $0040BDC2
ERROR in LCL: TResourceCacheItem.DecreaseRefCount=0 TResourceCacheItem
Creating gdb catchable error:
  $00428098
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0040BDC2
  $00424989
  $00421FF9
  $00420449
  $0040BDC2
  $00414EC8
  $0040E198
  $0040CCB9
  $0040BDC2
  $0041508D
  $0040E1F9
  $0040CCB9
  $0040BDC2
  $004126C1
ERROR in LCL: TResourceCacheItem.DecreaseRefCount=0 TResourceCacheItem
Creating gdb catchable error:
  $00428098
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0058BB72
  $0040BDC2
  $0040BDC2
  $00424AF0
  $00424989
  $00421FF9
  $00420449
  $0040BDC2
  $00414EC8
  $0040E198
  $0040CCB9
  $0040BDC2
  $0041508D
  $0040E1F9
  $0040CCB9
  $0040BDC2
  $004126C1
[FORMS.PP] ExceptionOccurred 
  Sender=EDivByZero
  Exception=Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0058BB72
  $0040BDC2
  $0040BDC2
  $00424AF0
  $00424989
  $00421FF9
  $00420449
  $0040BDC2
  $00414EC8
  $0040E198
TApplication.HandleException Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0058BB72
  $0040BDC2
  $0040BDC2
  $00424AF0
  $00424989
  $00421FF9
  $00420449
  $0040BDC2
  $00414EC8
  $0040E198
ERROR in LCL: TResourceCacheItem.DecreaseRefCount=0 TResourceCacheItem
Creating gdb catchable error:
  $00428098
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $0047B83F
  $0040BDC2
  $00426D61
  $0040E198
  $0040CCB9
  $004B2B79
  $0040BDC2
  $00532FFA
  $0058BB72
  $0040BDC2
  $0040BDC2
  $00424AF0
  $00424989
  $00421FF9
  $00420449
  $0040BDC2
  $00414EC8
  $0040E198
  $0040CCB9
  $0040BDC2
  $0041508D
  $0040E1F9
  $0040CCB9
  $0040BDC2
  $004126C1
[FORMS.PP] ExceptionOccurred 
  Sender=EDivByZero
  Exception=Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $0047B83F
  $0040BDC2
  $00426D61
  $0040E198
  $0040CCB9
  $004B2B79
  $0040BDC2
TApplication.HandleException Division by zero
  Stack trace:
  $004280C2
  $004FAA3B
  $004FA97F
  $004B2CE2
  $004B2B79
  $0040BDC2
  $00532FFA
  $0054160E
  $0041711A
  $00417C54
  $0047B83F
  $0040BDC2
  $00426D61
  $0040E198
  $0040CCB9
  $004B2B79
  $0040BDC2
dbz_st.log (7,136 bytes)   

Paul Ishenin

2010-11-16 15:29

manager   ~0043098

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-08-04 11:40 Tomasz Wieckowski New Issue
2010-08-04 11:40 Tomasz Wieckowski File Added: dbz_st.log
2010-08-04 11:40 Tomasz Wieckowski Widgetset => Win32/Win64
2010-10-29 13:01 Vincent Snijders Relationship added has duplicate 0017647
2010-10-29 13:02 Vincent Snijders LazTarget => 1.0
2010-10-29 13:02 Vincent Snijders Status new => acknowledged
2010-10-29 13:02 Vincent Snijders Target Version => 1.0.0
2010-11-16 15:29 Paul Ishenin Fixed in Revision => 28271
2010-11-16 15:29 Paul Ishenin Status acknowledged => resolved
2010-11-16 15:29 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-11-16 15:29 Paul Ishenin Resolution open => fixed
2010-11-16 15:29 Paul Ishenin Assigned To => Paul Ishenin
2010-11-16 15:29 Paul Ishenin Note Added: 0043098
2010-11-17 21:29 Tomasz Wieckowski Status resolved => closed